Subject: Re: bug#12715: coreutils-8.20: bad dependency information with man page generation

From: Stefano Lattarini <[email-masked]>
Date: Wed, 24 Oct 2012 09:41:54 +0200

Hi Pádraig, Mike.

On 10/24/2012 01:48 AM, Pádraig Brady wrote:
> On 10/23/2012 11:27 PM, Mike Frysinger wrote:
>> if i look at vanilla coreutils-8.20, i see:
>> Makefile.in:man/uname.1:     src/uname.c
>>
>> which seems to have originated from man/local.mk, but munged:
>> man/uname.1:     src/uname
>>
>> this causes parallel build problems because man/uname.1 generation can get
>> scheduled before src/uname has been linked.  easy way to reproduce:
>>          ./configure
>>          touch src/uname.c
>>          make -j
>> ...
>>    GEN    man/uname.1
>>    CC     src/hostname.o
>>    CC     src/uptime.o
>>    CC     src/kill.o
>>    CC     src/groups.o
>>    GEN    lib/charset.alias
>>    GEN    lib/ref-add.sed
>>    GEN    lib/ref-del.sed
>>    CC     lib/set-mode-acl.o
>>    CC     lib/copy-acl.o
>>    CC     lib/file-has-acl.o
>>    CC     lib/allocator.o
>> help2man: can't get '--help' info from man/uname.td/uname
>>    CC     lib/areadlink.o
>> make[2]: *** [man/uname.1] Error 127
>> make[2]: *** Waiting for unfinished jobs....
>>    CC     lib/areadlink-with-size.o
>> -mike
> 
> Ouch. There was a recent commit related
> to that exact issue which should have fixed this?
> http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commit;h=11d6386
> 
> The Makefile.in in my local git repo is correct, i.e.
>   man/uname.1:     src/uname
> whereas in the dist tarball it's
>   man/uname.1:     src/uname.c
> 
> I might get time to investigate some time tomorrow.
>
This issue has already cropped up before, and I think I have managed
to diagnose it.  See:

<http://lists.gnu.org/archive/html/coreutils/2012-09/msg00110.html>

There is also a patch available, but it doesn't seem to have
encountered much acceptance unfortunately:

<http://lists.gnu.org/archive/html/coreutils/2012-09/msg00132.html>

Regards,
  Stefano